<?xml version="1.0" encoding="ISO-8859-1"?>
<toc>
<book href="index.html" id="id5362132">
<title>dbx User's Guide</title>
<bookinfo href="front.html">
<title>Front Matter</title>
</bookinfo>
<preface href="pr01.html" id="id5178264">
<title>About This Guide</title>
<section href="pr01.html#id5178466" id="id5178466">
<title>Related Publications</title>
</section>
<section href="pr01.html#id5178695" id="id5178695">
<title>Obtaining Publications</title>
</section>
<section href="pr01.html#Z825545312melby" id="Z825545312melby">
<title>Conventions</title>
</section>
<section href="pr01.html#id5178852" id="id5178852">
<title>Reader Comments</title>
</section>
</preface>
<chapter href="ch01.html" id="Z27706">
<title>Chapter 1. Getting Started with dbx</title>
<section href="ch01.html#Z89331" id="Z89331">
<title>Examining Core Dumps to Determine Cause of Failure</title>
<procedure href="ch01.html#id5179172" id="id5179172">
<title>Procedure 1-1. Examining a core File</title>
</procedure>
</section>
<section href="ch01.html#Z84992" id="Z84992">
<title>Debugging Your Programs</title>
<procedure href="ch01.html#id5179686" id="id5179686">
<title>Procedure 1-2. Tracing program variables</title>
</procedure>
</section>
<section href="ch01.html#Z30965" id="Z30965">
<title>Studying a New Program</title>
<procedure href="ch01.html#id5180128" id="id5180128">
<title>Procedure 1-3. Studying a new program</title>
</procedure>
</section>
<section href="ch01.html#Z85965" id="Z85965">
<title>Avoiding Common Pitfalls</title>
</section>
</chapter>
<chapter href="ch02.html" id="Z88264">
<title>Chapter 2. Running dbx</title>
<section href="ch02.html#Z97214" id="Z97214">
<title>Compiling a Program for Debugging under dbx</title>
</section>
<section href="ch02.html#Z68536" id="Z68536">
<title>Compiling and Linking Programs with Dynamic Shared Objects</title>
</section>
<section href="ch02.html#Z67611" id="Z67611">
<title>Invoking dbx</title>
<section href="ch02.html#Z89350" id="Z89350">
<title>Specifying Object and Core Files</title>
</section>
<section href="ch02.html#Z83396" id="Z83396">
<title>Specifying Files with dbx Commands</title>
</section>
</section>
<section href="ch02.html#Z23899" id="Z23899">
<title>Running Your Program (run, rerun,
and sort)</title>
</section>
<section href="ch02.html#Z87665" id="Z87665">
<title>Automatically Executing Commands on Startup</title>
</section>
<section href="ch02.html#Z92439" id="Z92439">
<title>Using Online Help</title>
</section>
<section href="ch02.html#Z79140" id="Z79140">
<title>Entering Multiple Commands on a Single Line</title>
</section>
<section href="ch02.html#Z94741" id="Z94741">
<title>Spanning a Command Across Multiple Lines</title>
</section>
<section href="ch02.html#Z38587" id="Z38587">
<title>Invoking a Shell</title>
</section>
<section href="ch02.html#Z10584" id="Z10584">
<title>Quitting dbx</title>
</section>
</chapter>
<chapter href="ch03.html" id="Z93044">
<title>Chapter 3. Examining Source Files</title>
<section href="ch03.html#Z35657" id="Z35657">
<title>Specifying Source Directories</title>
<section href="ch03.html#id5191515" id="id5191515">
<title>Specifying Source Directories with Arguments</title>
</section>
<section href="ch03.html#id5191706" id="id5191706">
<title>Specifying Source Directories with dbx Commands
</title>
<example href="ch03.html#Z996154073jeanw" id="Z996154073jeanw">
<title>Example 3-1. Examples of dir and 
use</title>
</example>
<section href="ch03.html#id5192109" id="id5192109">
<title>Path Remapping</title>
</section>
<section href="ch03.html#id5192419" id="id5192419">
<title>Controlling Use of Path Remappings and Your Source-Directory List</title>
</section>
</section>
</section>
<section href="ch03.html#Z41684" id="Z41684">
<title>Changing Source Files</title>
</section>
<section href="ch03.html#Z59599" id="Z59599">
<title>Listing Source Code</title>
<example href="ch03.html#Z996156424jeanw" id="Z996156424jeanw">
<title>Example 3-2. list command</title>
</example>
</section>
<section href="ch03.html#Z51670" id="Z51670">
<title>Listing Inlines and Clones</title>
<example href="ch03.html#Z996229923jeanw" id="Z996229923jeanw">
<title>Example 3-3. listinlines usage
</title>
</example>
</section>
<section href="ch03.html#Z91727" id="Z91727">
<title>Searching through Source Code</title>
<example href="ch03.html#Z996230549jeanw" id="Z996230549jeanw">
<title>Example 3-4. Using search commands</title>
</example>
</section>
<section href="ch03.html#Z33324" id="Z33324">
<title>Calling an Editor</title>
<example href="ch03.html#Z996230772jeanw" id="Z996230772jeanw">
<title>Example 3-5. Editor usage</title>
</example>
</section>
</chapter>
<chapter href="ch04.html" id="Z64712">
<title>Chapter 4. Controlling dbx</title>
<section href="ch04.html#Z88718" id="Z88718">
<title>Creating and Removing dbx Variables</title>
<section href="ch04.html#Z78540" id="Z78540">
<title>Setting dbx Variables</title>
<example href="ch04.html#Z996231058jeanw" id="Z996231058jeanw">
<title>Example 4-1. set and 
print commands</title>
</example>
</section>
<section href="ch04.html#id5195250" id="id5195250">
<title>Removing dbx Variables</title>
<example href="ch04.html#Z996231222jeanw" id="Z996231222jeanw">
<title>Example 4-2. unset command</title>
</example>
</section>
</section>
<section href="ch04.html#Z82250" id="Z82250">
<title>Using the History Feature and the History Editor</title>
<section href="ch04.html#id5195481" id="id5195481">
<title>Examining the History List</title>
<example href="ch04.html#Z996231456jeanw" id="Z996231456jeanw">
<title>Example 4-3. history command</title>
</example>
</section>
<section href="ch04.html#id5195604" id="id5195604">
<title>Repeating Commands</title>
<example href="ch04.html#Z996231942jeanw" id="Z996231942jeanw">
<title>Example 4-4. !! command</title>
</example>
<example href="ch04.html#Z996772553jeanw" id="Z996772553jeanw">
<title>Example 4-5. ! string command
</title>
</example>
<example href="ch04.html#Z996772528jeanw" id="Z996772528jeanw">
<title>Example 4-6. ! integer
command</title>
</example>
</section>
<section href="ch04.html#Z59470" id="Z59470">
<title>The History Editor</title>
</section>
</section>
<section href="ch04.html#Z37216" id="Z37216">
<title>Creating and Removing dbx Aliases</title>
<section href="ch04.html#id5196807" id="id5196807">
<title>Creating Command Aliases</title>
<example href="ch04.html#Z996234390jeanw" id="Z996234390jeanw">
<title>Example 4-7. Creating and using aliases</title>
</example>
<example href="ch04.html#Z996234671jeanw" id="Z996234671jeanw">
<title>Example 4-8. Linked lists, aliases, and casts</title>
</example>
</section>
<section href="ch04.html#id5197644" id="id5197644">
<title>Listing Aliases</title>
<example href="ch04.html#Z996233355jeanw" id="Z996233355jeanw">
<title>Example 4-9. Listing aliases</title>
</example>
</section>
<section href="ch04.html#id5197883" id="id5197883">
<title>Removing Aliases</title>
<example href="ch04.html#Z996234565jeanw" id="Z996234565jeanw">
<title>Example 4-10. Removing aliases</title>
</example>
</section>
</section>
<section href="ch04.html#Z43528" id="Z43528">
<title>Recording and Playing Back dbx Input and Output
</title>
<section href="ch04.html#id5198188" id="id5198188">
<title>Recording Input</title>
<example href="ch04.html#Z996234845jeanw" id="Z996234845jeanw">
<title>Example 4-11. Recording input</title>
</example>
</section>
<section href="ch04.html#Z30241" id="Z30241">
<title>Ending a Recording Session</title>
<example href="ch04.html#Z996235244jeanw" id="Z996235244jeanw">
<title>Example 4-12. Ending a recording session</title>
</example>
</section>
<section href="ch04.html#Z38563" id="Z38563">
<title>Playing Back Input</title>
</section>
<section href="ch04.html#id5199048" id="id5199048">
<title>Recording Output</title>
<example href="ch04.html#Z996235545jeanw" id="Z996235545jeanw">
<title>Example 4-13. Recording output</title>
</example>
</section>
<section href="ch04.html#Z95547" id="Z95547">
<title>Playing Output</title>
<example href="ch04.html#Z996236246jeanw" id="Z996236246jeanw">
<title>Example 4-14. Playing output</title>
</example>
</section>
<section href="ch04.html#Z22428" id="Z22428">
<title>Examining the Record State</title>
<example href="ch04.html#Z996236279jeanw" id="Z996236279jeanw">
<title>Example 4-15. Examining the record state</title>
</example>
</section>
</section>
<section href="ch04.html#Z60766" id="Z60766">
<title>Executing dbx Scripts</title>
</section>
</chapter>
<chapter href="ch05.html" id="Z80179">
<title>Chapter 5. Examining and Changing Data</title>
<section href="ch05.html#Z25993" id="Z25993">
<title>Using Expressions</title>
<section href="ch05.html#Z90268" id="Z90268">
<title>Operators</title>
<example href="ch05.html#Z996236937jeanw" id="Z996236937jeanw">
<title>Example 5-1. Using operators</title>
</example>
</section>
<section href="ch05.html#id5201065" id="id5201065">
<title>Constants</title>
</section>
</section>
<section href="ch05.html#Z17137" id="Z17137">
<title>Printing Expressions</title>
<table href="ch05.html#Z60970" id="Z60970">
<title>Table 5-1.  Variable Types</title>
</table>
<example href="ch05.html#Z996772865jeanw" id="Z996772865jeanw">
<title>Example 5-2. Printing expressions</title>
</example>
<section href="ch05.html#id5202829" id="id5202829">
<title>Value History for Print and Calls</title>
<example href="ch05.html#Z996239006jeanw" id="Z996239006jeanw">
<title>Example 5-3. Value history</title>
</example>
</section>
</section>
<section href="ch05.html#Z18732" id="Z18732">
<title>Using Data Types and Type Coercion (Casts)</title>
<example href="ch05.html#Z996772901jeanw" id="Z996772901jeanw">
<title>Example 5-4. Casting value</title>
</example>
</section>
<section href="ch05.html#Z90553" id="Z90553">
<title>Qualifying Names of Program Elements</title>
</section>
<section href="ch05.html#Z50911" id="Z50911">
<title>Displaying and Changing Program Variables</title>
<section href="ch05.html#id5203954" id="id5203954">
<title>Variable Scope</title>
</section>
<section href="ch05.html#Z85784" id="Z85784">
<title>Displaying the Value of a Variable</title>
<example href="ch05.html#Z996239715jeanw" id="Z996239715jeanw">
<title>Example 5-5. Displaying Variable Values</title>
</example>
</section>
<section href="ch05.html#id5204591" id="id5204591">
<title>Changing the Value of a Variable</title>
<example href="ch05.html#Z996240200jeanw" id="Z996240200jeanw">
<title>Example 5-6. assign command</title>
</example>
<example href="ch05.html#Z996240253jeanw" id="Z996240253jeanw">
<title>Example 5-7. Using casts to change variable values</title>
</example>
</section>
<section href="ch05.html#id5204798" id="id5204798">
<title>Conflicts between Variable Names and Keywords</title>
<example href="ch05.html#Z996240401jeanw" id="Z996240401jeanw">
<title>Example 5-8. Variable name and keyword conflicts</title>
</example>
</section>
<section href="ch05.html#id5204976" id="id5204976">
<title>Case Sensitivity in Variable Names</title>
</section>
</section>
<section href="ch05.html#Z26262" id="Z26262">
<title>Displaying and Changing Environment Variables Used by a Program</title>
</section>
<section href="ch05.html#Z58809" id="Z58809">
<title>Using the High-Level Debugging Language duel</title>
<example href="ch05.html#Z996240898jeanw" id="Z996240898jeanw">
<title>Example 5-9. duel usage</title>
</example>
<section href="ch05.html#id5205623" id="id5205623">
<title>Using duel Quick Start</title>
<example href="ch05.html#Z996241193jeanw" id="Z996241193jeanw">
<title>Example 5-10. duel and multiple values</title>
</example>
<example href="ch05.html#Z996241358jeanw" id="Z996241358jeanw">
<title>Example 5-11. duel and symbolic output</title>
</example>
<example href="ch05.html#Z996241483jeanw" id="Z996241483jeanw">
<title>Example 5-12. duel and loop alternatives</title>
</example>
</section>
<section href="ch05.html#id5206320" id="id5206320">
<title>duel Operator Summary</title>
<table href="ch05.html#Z24280" id="Z24280">
<title>Table 5-2.  duel Operator Summary</title>
</table>
</section>
<section href="ch05.html#id5207655" id="id5207655">
<title>duel Examples</title>
<table href="ch05.html#Z17561" id="Z17561">
<title>Table 5-3.  duel Examples</title>
</table>
</section>
<section href="ch05.html#id5209208" id="id5209208">
<title>duel Semantics</title>
</section>
<section href="ch05.html#Z21534" id="Z21534">
<title>duel Operators</title>
</section>
<section href="ch05.html#id5211411" id="id5211411">
<title>Differences from Other Languages</title>
</section>
</section>
<section href="ch05.html#Z18664" id="Z18664">
<title>Determining Variable Scopes and Fully Qualified Names</title>
<example href="ch05.html#Z996242028jeanw" id="Z996242028jeanw">
<title>Example 5-13. which command</title>
</example>
</section>
<section href="ch05.html#Z84723" id="Z84723">
<title>Displaying Type Declarations</title>
<example href="ch05.html#Z996242094jeanw" id="Z996242094jeanw">
<title>Example 5-14. whatis command</title>
</example>
</section>
<section href="ch05.html#Z50445" id="Z50445">
<title>Examining the Stack</title>
<section href="ch05.html#id5212382" id="id5212382">
<title>Printing Stack Traces</title>
<example href="ch05.html#Z996242225jeanw" id="Z996242225jeanw">
<title>Example 5-15. Stack trace</title>
</example>
<example href="ch05.html#Z996242301jeanw" id="Z996242301jeanw">
<title>Example 5-16. Stack trace and -g compiler option</title>
</example>
</section>
<section href="ch05.html#Z88379" id="Z88379">
<title>Moving within the Stack</title>
</section>
<section href="ch05.html#Z82062" id="Z82062">
<title>Moving to a Specified Procedure</title>
<example href="ch05.html#Z996242775jeanw" id="Z996242775jeanw">
<title>Example 5-17. func command</title>
</example>
</section>
<section href="ch05.html#id5213774" id="id5213774">
<title>Printing Activation Level Information</title>
<example href="ch05.html#Z996242990jeanw" id="Z996242990jeanw">
<title>Example 5-18. dump command</title>
</example>
</section>
</section>
<section href="ch05.html#Z81639" id="Z81639">
<title>Using Interactive Function Calls</title>
<section href="ch05.html#id5214104" id="id5214104">
<title>Using the ccall Command</title>
<example href="ch05.html#Z996243151jeanw" id="Z996243151jeanw">
<title>Example 5-19. Activation levels and stack trace</title>
</example>
</section>
<section href="ch05.html#id5214356" id="id5214356">
<title>Using the clearcalls Command</title>
<example href="ch05.html#Z996243237jeanw" id="Z996243237jeanw">
<title>Example 5-20. Use of clearcalls</title>
</example>
</section>
<section href="ch05.html#id5214537" id="id5214537">
<title>Nesting Interactive Function Calls</title>
<example href="ch05.html#Z996243299jeanw" id="Z996243299jeanw">
<title>Example 5-21. Nesting levels</title>
</example>
</section>
</section>
<section href="ch05.html#Z14169" id="Z14169">
<title>Obtaining Basic Blocks Counts</title>
<example href="ch05.html#Z996243422jeanw" id="Z996243422jeanw">
<title>Example 5-22. Basic block counts</title>
</example>
</section>
<section href="ch05.html#Z19156" id="Z19156">
<title>Accessing C++ Member Variables</title>
</section>
</chapter>
<chapter href="ch06.html" id="Z91063">
<title>Chapter 6. Controlling Program Execution</title>
<section href="ch06.html#Z23865" id="Z23865">
<title>Setting Breakpoints</title>
<section href="ch06.html#id5215472" id="id5215472">
<title>Setting Unconditional Breakpoints</title>
</section>
<section href="ch06.html#id5215697" id="id5215697">
<title>Setting Conditional Breakpoints</title>
</section>
<section href="ch06.html#id5215816" id="id5215816">
<title>Stopping If a Variable or Memory Location Has Changed</title>
</section>
<section href="ch06.html#id5216037" id="id5216037">
<title>Using Fast Data Breakpoints</title>
</section>
<section href="ch06.html#Z71997" id="Z71997">
<title>Stopping If a Test Expression Is True</title>
</section>
<section href="ch06.html#id5216409" id="id5216409">
<title>Conditional Breakpoints Combining Variable and Test Clauses</title>
</section>
<section href="ch06.html#Z31983" id="Z31983">
<title>Continuing Execution after a Breakpoint</title>
</section>
</section>
<section href="ch06.html#Z19256" id="Z19256">
<title>Tracing Program Execution</title>
<example href="ch06.html#Z996245384jeanw" id="Z996245384jeanw">
<title>Example 6-1. trace command</title>
</example>
<example href="ch06.html#Z996245435jeanw" id="Z996245435jeanw">
<title>Example 6-2. Setting a new trace</title>
</example>
</section>
<section href="ch06.html#Z89878" id="Z89878">
<title>Writing Conditional Commands</title>
</section>
<section href="ch06.html#Z14485" id="Z14485">
<title>Managing Breakpoints, Traces, and Conditional Commands</title>
<section href="ch06.html#Z58446" id="Z58446">
<title>Listing Breakpoints, Traces, and Conditional Commands</title>
</section>
<section href="ch06.html#Z84268" id="Z84268">
<title>Disabling Breakpoints, Traces, and Conditional Commands</title>
<example href="ch06.html#Z996246725jeanw" id="Z996246725jeanw">
<title>Example 6-3. disable command</title>
</example>
</section>
<section href="ch06.html#Z14318" id="Z14318">
<title>Enabling Breakpoints, Traces, and Conditional Commands</title>
<example href="ch06.html#Z996246806jeanw" id="Z996246806jeanw">
<title>Example 6-4. enable command</title>
</example>
</section>
<section href="ch06.html#Z99674" id="Z99674">
<title>Deleting Breakpoints, Traces, and Conditional Commands</title>
<example href="ch06.html#Z996246914jeanw" id="Z996246914jeanw">
<title>Example 6-5. delete command</title>
</example>
</section>
</section>
<section href="ch06.html#Z25866" id="Z25866">
<title>Using Signal Processing</title>
<section href="ch06.html#id5219225" id="id5219225">
<title>Catching and Ignoring Signals</title>
</section>
<section href="ch06.html#Z62814" id="Z62814">
<title>Continuing after Catching a Signal</title>
<example href="ch06.html#Z996247415jeanw" id="Z996247415jeanw">
<title>Example 6-6. cont command</title>
</example>
</section>
</section>
<section href="ch06.html#Z51268" id="Z51268">
<title>Stopping on C++ Exceptions</title>
<example href="ch06.html#Z996247779jeanw" id="Z996247779jeanw">
<title>Example 6-7. if clause and 
intercept command</title>
</example>
<example href="ch06.html#Z996247825jeanw" id="Z996247825jeanw">
<title>Example 6-8. intercept command
</title>
</example>
</section>
<section href="ch06.html#Z93296" id="Z93296">
<title>Stopping at System Calls</title>
</section>
<section href="ch06.html#Z31135" id="Z31135">
<title>Stepping through Your Program</title>
<example href="ch06.html#Z996248397jeanw" id="Z996248397jeanw">
<title>Example 6-9. step and 
next command comparison</title>
</example>
<section href="ch06.html#Z33387" id="Z33387">
<title>Stepping Using the step Command</title>
</section>
<section href="ch06.html#Z24643" id="Z24643">
<title>Stepping Using the next Command</title>
</section>
<section href="ch06.html#id5221334" id="id5221334">
<title>Using the return Command</title>
</section>
</section>
<section href="ch06.html#Z28904" id="Z28904">
<title>Starting at a Specified Line</title>
</section>
<section href="ch06.html#Z32416" id="Z32416">
<title>Referring to C++ Functions</title>
<example href="ch06.html#Z996248963jeanw" id="Z996248963jeanw">
<title>Example 6-10. C++ overload functions</title>
</example>
</section>
</chapter>
<chapter href="ch07.html" id="Z33796">
<title>Chapter 7. Debugging Machine Language Code</title>
<section href="ch07.html#Z88998" id="Z88998">
<title>Examining and Changing Register Values</title>
<table href="ch07.html#Z39923" id="Z39923">
<title>Table 7-1.  Hardware Registers and Aliases</title>
</table>
<section href="ch07.html#id5223299" id="id5223299">
<title>Printing Register Values</title>
</section>
<section href="ch07.html#Z34959" id="Z34959">
<title>Changing Register Values</title>
<example href="ch07.html#Z996249378jeanw" id="Z996249378jeanw">
<title>Example 7-1. assign command and register values</title>
</example>
</section>
</section>
<section href="ch07.html#Z51451" id="Z51451">
<title>Examining Memory and Disassembling Code</title>
<table href="ch07.html#Z54646" id="Z54646">
<title>Table 7-2.  Memory Display Format Codes</title>
</table>
</section>
<section href="ch07.html#Z64338" id="Z64338">
<title>Setting Machine-Level Breakpoints</title>
<section href="ch07.html#id5225479" id="id5225479">
<title>Syntax of the Stopi Command</title>
<example href="ch07.html#Z996251514jeanw" id="Z996251514jeanw">
<title>Example 7-2. Linking with DSOs and stopi command</title>
</example>
</section>
</section>
<section href="ch07.html#Z37993" id="Z37993">
<title>Continuing Execution after a Machine-Level Breakpoint</title>
</section>
<section href="ch07.html#Z81564" id="Z81564">
<title>Tracing Execution at the Machine Level</title>
</section>
<section href="ch07.html#Z94164" id="Z94164">
<title>Writing Conditional Commands at the Machine Level</title>
</section>
<section href="ch07.html#Z53669" id="Z53669">
<title>Stepping through Machine Code</title>
</section>
</chapter>
<chapter href="ch08.html" id="Z42908">
<title>Chapter 8. Debugging Multiprocess Programs</title>
<section href="ch08.html#Z891981268emily" id="Z891981268emily">
<title>Processes and Threads</title>
<section href="ch08.html#id5228217" id="id5228217">
<title>Setting up Your Environment</title>
</section>
<section href="ch08.html#id5228263" id="id5228263">
<title>Using the pid Clause</title>
<example href="ch08.html#Z996252693jeanw" id="Z996252693jeanw">
<title>Example 8-1. Seeing breakpoints using pid
</title>
</example>
</section>
<section href="ch08.html#id5228390" id="id5228390">
<title>Using the pgrp Clause</title>
</section>
<section href="ch08.html#id5228422" id="id5228422">
<title>Using the thread Clause</title>
</section>
<section href="ch08.html#id5228688" id="id5228688">
<title>Using Scripts</title>
</section>
</section>
<section href="ch08.html#Z12529" id="Z12529">
<title>Listing Available Processes</title>
<example href="ch08.html#Z996774133jeanw" id="Z996774133jeanw">
<title>Example 8-2. showproc command</title>
</example>
</section>
<section href="ch08.html#Z45986" id="Z45986">
<title>Adding a Process to the Process Pool</title>
<example href="ch08.html#Z996774163jeanw" id="Z996774163jeanw">
<title>Example 8-3. addproc command</title>
</example>
</section>
<section href="ch08.html#Z89656" id="Z89656">
<title>Deleting a Process from the Process Pool</title>
<example href="ch08.html#Z996774192jeanw" id="Z996774192jeanw">
<title>Example 8-4. delproc command</title>
</example>
</section>
<section href="ch08.html#Z16095" id="Z16095">
<title>Selecting a Process</title>
<example href="ch08.html#Z996774279jeanw" id="Z996774279jeanw">
<title>Example 8-5. active command</title>
</example>
</section>
<section href="ch08.html#Z38426" id="Z38426">
<title>Suspending a Process</title>
<example href="ch08.html#Z996774391jeanw" id="Z996774391jeanw">
<title>Example 8-6. suspend command</title>
</example>
</section>
<section href="ch08.html#Z87200" id="Z87200">
<title>Resuming a Suspended Process</title>
<example href="ch08.html#Z996774474jeanw" id="Z996774474jeanw">
<title>Example 8-7. resume command</title>
</example>
</section>
<section href="ch08.html#Z12702" id="Z12702">
<title>Waiting for a Resumed Process</title>
<example href="ch08.html#Z996774591jeanw" id="Z996774591jeanw">
<title>Example 8-8. wait command</title>
</example>
</section>
<section href="ch08.html#Z82112" id="Z82112">
<title>Waiting for Any Running Process</title>
<example href="ch08.html#Z996774625jeanw" id="Z996774625jeanw">
<title>Example 8-9. waitall command</title>
</example>
</section>
<section href="ch08.html#Z68796" id="Z68796">
<title>Killing a Process</title>
<example href="ch08.html#Z996774821jeanw" id="Z996774821jeanw">
<title>Example 8-10. kill command</title>
</example>
</section>
<section href="ch08.html#Z61470" id="Z61470">
<title>Handling fork System Calls</title>
<example href="ch08.html#Z996775340jeanw" id="Z996775340jeanw">
<title>Example 8-11. fork system calls
</title>
</example>
</section>
<section href="ch08.html#Z10836" id="Z10836">
<title>Handling exec System Calls</title>
<example href="ch08.html#Z996775371jeanw" id="Z996775371jeanw">
<title>Example 8-12. exec system call</title>
</example>
</section>
<section href="ch08.html#Z59516" id="Z59516">
<title>Handling sproc System Calls and Process Group Debugging
</title>
<example href="ch08.html#Z996775482jeanw" id="Z996775482jeanw">
<title>Example 8-13. showgrp command</title>
</example>
</section>
</chapter>
<appendix href="apa.html" id="Z74957">
<title>Appendix A. dbx Commands</title>
</appendix>
<appendix href="apb.html" id="Z56444">
<title>Appendix B. Predefined Aliases</title>
<table href="apb.html#Z69697" id="Z69697">
<title>Table B-1. Predefined Aliases</title>
</table>
</appendix>
<appendix href="apc.html" id="Z80540">
<title>Appendix C. Predefined dbx Variables</title>
<table href="apc.html#Z59961" id="Z59961">
<title>Table C-1. Predefined dbx Variables</title>
</table>
</appendix>
<index href="ix01.html" id="sgi-index">
<title>Index</title>
</index>
</book>
</toc>
